### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-date-picker/ecl-date-picker.directive.ts`

### Implements

`OnInit` `ControlValueAccessor` `OnDestroy`

### Metadata

Providers | `ECL_DATE_PICKER_VALUE_ACCESSOR`
Selector | `input[eclDatePicker]`

### Index

###### Methods
registerOnChange registerOnTouched writeValue
###### Inputs
format styleClass yearRange
###### Outputs
datePicked
###### HostBindings
attr.type class.ecl-datepicker__field
###### HostListeners
click

### Constructor

`constructor(el: ElementRef, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver, translateService: TranslateService)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No
viewContainerRef | `ViewContainerRef` | No
componentFactoryResolver | `ComponentFactoryResolver` | No
translateService | `TranslateService` | No

### Inputs

format
Type : `string`
Default value : `'DD-MM-YYYY'`

styleClass
Type : `string`

yearRange
Type : `number`
Default value : `40`

### Outputs

datePicked
Type : `EventEmitter`

### HostBindings

attr.type
Default value : `'text'`

class.ecl-datepicker__field
Default value : `true`

### HostListeners

click
`click()`

### Methods

registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

writeValue
`writeValue(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

# result-matching ""

# No results matching ""